package utils

import (
	"Ic_ouath/global"
	"Ic_ouath/models"
)

func Verification(token string) (bool, models.User) {
	var user models.User
	parseToken, err := ParseToken(token)
	if err != nil {
		return false, user
	} else {
		tx := global.DBLink.Where("id = ?", parseToken.UserId).First(&user)
		if tx.RowsAffected > 0 {
			return true, user
		}
		return false, user
	}
}
